export declare const createCommentSchema: import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    content: import("zod").ZodString;
    createdBy: import("zod").ZodString;
    profileId: import("zod").ZodString;
    isSolvable: import("zod").ZodDefault<import("zod").ZodBoolean>;
    isSolved: import("zod").ZodDefault<import("zod").ZodBoolean>;
    solvedAt: import("zod").ZodNullable<import("zod").ZodDate>;
    solvedBy: import("zod").ZodOptional<import("zod").ZodString>;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "content" | "isSolvable" | "profileId">, "strip", import("zod").ZodTypeAny, {
    content: string;
    isSolvable: boolean;
    profileId: string;
}, {
    content: string;
    profileId: string;
    isSolvable?: boolean | undefined;
}>;
declare const CreateCommentDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    content: import("zod").ZodString;
    isSolvable: import("zod").ZodDefault<import("zod").ZodBoolean>;
    profileId: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    content: string;
    isSolvable: boolean;
    profileId: string;
}, {
    content: string;
    profileId: string;
    isSolvable?: boolean | undefined;
}>>;
export declare class CreateCommentDto extends CreateCommentDto_base {
}
export declare const createCommentResponseSchema: import("zod").ZodObject<{
    id: import("zod").ZodString;
    content: import("zod").ZodString;
    createdBy: import("zod").ZodString;
    profileId: import("zod").ZodString;
    isSolvable: import("zod").ZodDefault<import("zod").ZodBoolean>;
    isSolved: import("zod").ZodDefault<import("zod").ZodBoolean>;
    solvedAt: import("zod").ZodNullable<import("zod").ZodDate>;
    solvedBy: import("zod").ZodOptional<import("zod").ZodString>;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
    content: string;
    isSolvable: boolean;
    created_at: Date;
    updated_at: Date;
    createdBy: string;
    profileId: string;
    isSolved: boolean;
    solvedAt: Date | null;
    solvedBy?: string | undefined;
}, {
    id: string;
    content: string;
    created_at: Date;
    updated_at: Date;
    createdBy: string;
    profileId: string;
    solvedAt: Date | null;
    isSolvable?: boolean | undefined;
    isSolved?: boolean | undefined;
    solvedBy?: string | undefined;
}>;
declare const CreateCommentResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    id: import("zod").ZodString;
    content: import("zod").ZodString;
    createdBy: import("zod").ZodString;
    profileId: import("zod").ZodString;
    isSolvable: import("zod").ZodDefault<import("zod").ZodBoolean>;
    isSolved: import("zod").ZodDefault<import("zod").ZodBoolean>;
    solvedAt: import("zod").ZodNullable<import("zod").ZodString>;
    solvedBy: import("zod").ZodOptional<import("zod").ZodString>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    id: string;
    content: string;
    isSolvable: boolean;
    created_at: string;
    updated_at: string;
    createdBy: string;
    profileId: string;
    isSolved: boolean;
    solvedAt: string | null;
    solvedBy?: string | undefined;
}, {
    id: string;
    content: string;
    created_at: string;
    updated_at: string;
    createdBy: string;
    profileId: string;
    solvedAt: string | null;
    isSolvable?: boolean | undefined;
    isSolved?: boolean | undefined;
    solvedBy?: string | undefined;
}>>;
export declare class CreateCommentResponseDto extends CreateCommentResponseDto_base {
}
export {};
